package com.sundot.airport.system.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 主观印象枚举
 */
@Getter
@AllArgsConstructor
public enum SubjectiveImpressionEnum {

    personality_trait("personality_trait", "性格特质"),
    capability_performance("capability_performance", "能力表现"),
    interpersonal_interaction("interpersonal_interaction", "人际互动"),
    growth_potential("growth_potential", "成长潜力");

    private final String code;
    private final String desc;

    public static SubjectiveImpressionEnum getByCode(String code) {
        for (SubjectiveImpressionEnum itemEnum : values()) {
            if (itemEnum.getCode().equals(code)) {
                return itemEnum;
            }
        }
        return null;
    }

}
